Bug 1198712 - userspace-rcu package needs fix for epel ppc64le/aarch64 [NEEDINFO]
Summary: userspace-rcu package needs fix for epel ppc64le/aarch64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: userspace-rcu
Version: epel7
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Yannick Brosseau
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: epel7aarch64 epel7ppc64le
TreeView+ depends on / blocked
 
Reported: 2015-03-04 16:55 UTC by Menanteau Guy
Modified: 2015-12-15 07:57 UTC (History)
7 users (show)

Fixed In Version: userspace-rcu-0.7.16-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-15 07:57:59 UTC
pbrobinson: needinfo? (yannick.brosseau)


Attachments (Terms of Use)

Description Menanteau Guy 2015-03-04 16:55:39 UTC
Source packageuserspace-rcu-0.7.9-1  used by EPEL7 does not support ppc64le.
A newer version supporting this architecture should be used instead.

Comment 1 Jeff Layton 2015-04-08 16:51:47 UTC
I'd also like to see an update of the userspace-rcu package that brings it up to at least 0.8.0 since that adds rcu_barrier support. Any chance we can just sync up the epel7 package to 0.8.6 or so?

Comment 2 Yaakov Selkowitz 2015-11-26 01:06:03 UTC
The same applies for aarch64.  While merging from rawhide would include all the necessary changes, they could easily be backported to the version currently in epel7 if rebasing is not an option.

Comment 3 Peter Robinson 2015-12-07 01:14:54 UTC
Yannick, status update please?

Comment 4 Suchakra 2015-12-07 17:06:14 UTC
Added Michael Jeanson from EfficiOS to CC as EfficiOS seem to be maintaining the latest enterprise packages themselves and may possibly help us (http://packages.efficios.com/)

Comment 5 Michael Jeanson 2015-12-07 19:15:31 UTC
Support for ppc64el and aarch64 on the 0.7 branch has been introduced in 0.7.16, you could update to this release without breaking the current ABI.

Comment 6 Fedora Update System 2015-12-08 01:12:32 UTC
userspace-rcu-0.7.16-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c80a028f43

Comment 7 Fedora Update System 2015-12-08 07:20:44 UTC
userspace-rcu-0.7.16-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update userspace-rcu'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c80a028f43

Comment 8 Fedora Update System 2015-12-15 07:57:55 UTC
userspace-rcu-0.7.16-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.